Loading...
Searching...
No Matches
net::InterfaceIpSettings Struct Reference

Interface specific IP settings. More...

`import "Net.idl";`

## Public Attributes

boolean | enabled
| Controls if IPv4/IPv6 is enabled.
IpConfigMethod | configMethod
| Interface configuration method.
IpAddrCidr | staticAddrCidr
| Statically assigned IPv4/IPv6 address (CIDR)
string | staticDefaultGatewayAddr
| Statically assigned default gateway address.
string | dhcpPreferredHostname
| Preferred hostname (only used with DHCP)

## Detailed Description

Interface specific IP settings.

Definition at line 111 of file Net.idl.

## Member Data Documentation

## configMethod

IpConfigMethod net::InterfaceIpSettings::configMethod

Interface configuration method.

Definition at line 113 of file Net.idl.

## dhcpPreferredHostname

string net::InterfaceIpSettings::dhcpPreferredHostname

Preferred hostname (only used with DHCP)

Definition at line 116 of file Net.idl.

## enabled

boolean net::InterfaceIpSettings::enabled

Controls if IPv4/IPv6 is enabled.

Definition at line 112 of file Net.idl.

## staticAddrCidr

IpAddrCidr net::InterfaceIpSettings::staticAddrCidr

Statically assigned IPv4/IPv6 address (CIDR)

Definition at line 114 of file Net.idl.

## staticDefaultGatewayAddr

string net::InterfaceIpSettings::staticDefaultGatewayAddr

Statically assigned default gateway address.

Definition at line 115 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl